CAC Verification
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"registration_number": "1261103",
"company_name": "JOYCE VENTURES",
"company_type": "RC"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac/"
payload = {
"registration_number": "1261103",
"company_name": "JOYCE VENTURES",
"company_type": "RC"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
registration_number: '1261103',
company_name: 'JOYCE VENTURES',
company_type: 'RC'
})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Nigeria
Commission des Affaires Sociétaires (CAC)
Vérifiez une entreprise nigériane enregistrée à l’aide de son numéro d’enregistrement CAC.
POST
/
api
/
onboarding
/
nigeria_kyc
/
cac
/
CAC Verification
L’endpoint CAC renvoie les détails vérifiés d’une entreprise enregistrée depuis la base de données de la Corporate Affairs Commission, incluant l’adresse, la date d’enregistrement et le nom approuvé.
Endpoint
POST /api/onboarding/nigeria_kyc/cac/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
registration_number | string | Oui | Le numéro d’enregistrement CAC |
company_name | string | Oui | Nom de l’entreprise enregistré |
company_type | string | Oui | Type d’entité : "RC" (société enregistrée), "BN" (nom commercial) ou "IT" (fiduciaire incorporé) |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"registration_number": "1261103", "company_name": "JOYCE VENTURES", "company_type": "RC"}'
import requests
response = requests.post(
"https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac/",
headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
json={"registration_number": "1261103", "company_name": "JOYCE VENTURES", "company_type": "RC"},
)
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data[].id | integer | ID d’enregistrement interne |
data[].rcNumber | string | Numéro d’enregistrement CAC |
data[].approvedName | string | Nom de l’entreprise approuvé par le gouvernement |
data[].address | string | Adresse de l’entreprise enregistrée |
data[].city | string | Ville |
data[].state | string | État |
data[].lga | string | Zone de gouvernement local |
data[].email | string | E-mail de l’entreprise (si disponible) |
data[].registrationDate | string | Date d’enregistrement CAC |
{
"status": "success",
"data": [
{
"id": 8693434,
"lga": "Ibadan North West",
"city": "Mokola Ibadan",
"email": "joyceventures@gmail.com",
"state": "OYO",
"address": "Okunmade street, Opposite Veterinary Hospital",
"rcNumber": "1261103",
"approvedName": "JOYCE VENTURES",
"registrationDate": "2023-07-11T08:39:54.898+00:00"
}
],
"message": "Business Registration details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
Autorisations
Your Adhere API secret key
Corps
application/json
Réponse
CAC verified

